Submit a false negative or false positive report
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
messageContent: '<string>',
smtpEnvelopeInformation: {ehlo: '<string>', mailFrom: '<string>', rcptTo: '<string>'},
sendingHostInformation: {name: '<string>'}
})
};
fetch('https://api.mailchannels.net/inbound/v1/report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.mailchannels.net/inbound/v1/report"
payload = {
"messageContent": "<string>",
"smtpEnvelopeInformation": {
"ehlo": "<string>",
"mailFrom": "<string>",
"rcptTo": "<string>"
},
"sendingHostInformation": { "name": "<string>" }
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mailchannels.net/inbound/v1/report",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'messageContent' => '<string>',
'smtpEnvelopeInformation' => [
'ehlo' => '<string>',
'mailFrom' => '<string>',
'rcptTo' => '<string>'
],
'sendingHostInformation' => [
'name' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request POST \
--url https://api.mailchannels.net/inbound/v1/report \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"messageContent": "<string>",
"smtpEnvelopeInformation": {
"ehlo": "<string>",
"mailFrom": "<string>",
"rcptTo": "<string>"
},
"sendingHostInformation": {
"name": "<string>"
}
}
'{
"errors": [
"<string>"
],
"code": 123,
"message": "<string>"
}{
"errors": [
"<string>"
],
"code": 123,
"message": "<string>"
}{
"errors": [
"<string>"
],
"code": 123,
"message": "<string>"
}{
"errors": [
"<string>"
],
"code": 123,
"message": "<string>"
}Submit a false negative or false positive report
POST
/
report
Submit a false negative or false positive report
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
messageContent: '<string>',
smtpEnvelopeInformation: {ehlo: '<string>', mailFrom: '<string>', rcptTo: '<string>'},
sendingHostInformation: {name: '<string>'}
})
};
fetch('https://api.mailchannels.net/inbound/v1/report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.mailchannels.net/inbound/v1/report"
payload = {
"messageContent": "<string>",
"smtpEnvelopeInformation": {
"ehlo": "<string>",
"mailFrom": "<string>",
"rcptTo": "<string>"
},
"sendingHostInformation": { "name": "<string>" }
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mailchannels.net/inbound/v1/report",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'messageContent' => '<string>',
'smtpEnvelopeInformation' => [
'ehlo' => '<string>',
'mailFrom' => '<string>',
'rcptTo' => '<string>'
],
'sendingHostInformation' => [
'name' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Authorizations
Query Parameters
Available options:
false_negative, false_positive Body
application/json
Response
The report has been successfully submitted
Was this page helpful?
⌘I

